STRUCT TEMPLATE(3)

NAME
boost::units::make_system

SYNOPSIS

// In header: <boost/units/make_system.hpp>
template<typename BaseUnit0, typename BaseUnit1, typename BaseUnit2, ... ,
         typename BaseUnitN>
struct make_system {
  // types
  typedef unspecified type;
};

DESCRIPTION

Metafunction returning a homogeneous system that can represent any combination of the base units. There must be no way to represent any of the base units in terms of the others. make_system<foot_base_unit, meter_base_unit>::type is not allowed, for example.